Skip to main content
POST
/
datasets
/
{dataset_id}
/
metadata
创建元数据字段
curl --request POST \
  --url https://{api_base_url}/datasets/{dataset_id}/metadata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://{api_base_url}/datasets/{dataset_id}/metadata"

payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};

fetch('https://{api_base_url}/datasets/{dataset_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "b5c6d7e8-f9a0-1b2c-3d4e-5f6a7b8c9d0e",
  "name": "author",
  "type": "string"
}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

dataset_id
string<uuid>
required

知识库 ID。

Body

application/json
type
enum<string>
required

string 为文本值,number 为数值,time 为日期/时间值。

Available options:
string,
number,
time
name
string
required

元数据字段名称。

Response

元数据字段创建成功。

id
string

元数据字段标识符。

name
string

元数据字段名称。

type
string

元数据字段类型。

Last modified on July 9, 2026